Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           kdeplasma-addons
Version:        4.1.1
Release:        1
Summary:        Additional plasmoids for KDE

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdeplasma-addons-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  gettext
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:  openldap-devel
BuildRequires:  qimageblitz-devel

# most of former kdeaddons for KDE3 is now here
Obsoletes: 	kdeaddons < 4

Obsoletes: 	kdeplasmoids < %{version}-%{release}
Provides: 	kdeplasmoids = %{version}-%{release}

Requires(post): coreutils /sbin/ldconfig
Requires(postun): coreutils /sbin/ldconfig

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Additional plasmoids for KDE.


%prep
%setup -q -n kdeplasma-addons-%{version}
# disable broken bluemarble applet (crashes Plasma when no OpenGL, #435656)
#sed -i -e 's/add_subdirectory(bluemarble)/#add_subdirectory(bluemarble)/g' applets/CMakeLists.txt


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
# omit -devel type stuff, for now
rm -f %{buildroot}%{_kde4_libdir}/libplasma*.so
rm -rf %{buildroot}%{_kde4_includedir}/


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor || :
fi


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_kde4_appsdir}/desktoptheme/*
#%{_kde4_appsdir}/plasma-bluemarble/
%{_kde4_appsdir}/plasma-comic/
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/libplasmacomicprovidercore.so.*
%{_kde4_libdir}/libplasmaappletdialog.so.*
%{_kde4_iconsdir}/hicolor/*/*/*

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- rebuild against latest renamed packages
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
- renamed package
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Initial release ( KDE 4.1 Beta 2 )
